Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2305 closed defect (wontfix)

sp07 needs to be split into an user extensions and a notepad test

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I was reviewing all code in the tree which uses deprecated methods. I will fix most of the cases. This is going to take a little more time. This test needs to be split apart. I think the notepad usage can go into a new test spnotepad02. It is primarily ensuring that two threads can exchange values through notepads.

The remaining use of notepads in sp07 can probably just be a count down on the priority.

I am starting to move code to spnotepad02 from sp07 that is not related to the tasks counting down.

Hopefully I can resolve this without much feedback.

Change History (3)

comment:1 Changed on 01/25/17 at 12:22:55 by Sebastian Huber

Milestone: 4.11.14.12
Resolution: wontfix
Status: newclosed

Notepads no longer exist in RTEMS 4.12.

comment:2 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.